#!/bin/sh

package=afrepo
version=-git-all-april2013

srcdir=$package$version

if [ ! -d "$srcdir" ] ; then
  tar xvzf $srcdir.tar.gz
fi

echo ""
echo "+ Testing for existing Greenstone extensions for AMP and echoprint"

if [ "x$GEXTAMP" = "x" ] ; then
  echo ""
  echo "Error: Failed to find PHP-configured Apache httpd (GEXTAMP) extension"
  echo ""
else
  echo "++ Found GEXTAMP: $GEXTAMP"
fi

if [ "x$GEXT_ECHOPRINT" = "x" ] ; then
  echo ""
  echo "Error: Failed to find GEXT_ECHOPRINT extension"
  echo ""
else
  echo "++ Found GEXT_ECHOPRINT: $GEXT_ECHOPRINT"
fi

if [ ! -h $GEXTAMP_INSTALLED/htdocs/afrepo ] ; then
  echo "++ Creating symbolic link GEXTAMP_INSTALLED/htdocs/afrepo -> $srcdir"
  ln -s `pwd`/$srcdir $GEXTAMP_INSTALLED/htdocs/afrepo
fi


echo ""
echo "What about Override apache settings ?????"
echo "****** Test to see if 'audiofiles' exists => generate message if not? ==> auto run cmd ???"

/bin/cp $srcdir/examples/afrepo/AFRepo.localtest.class.php $GEXTAMP_INSTALLED/htdocs/afrepo/AFRepo.class.php


echo ""
echo "****"
echo "* Afrepo extension now installed in "
echo "*   $GEXTAMP_INSTALLED"
echo "*"
echo "* Place audio files in: "
echo "*   $GEXTAMP_INSTALLED/htdocs/afrepo/localtest"
echo "*"
echo "* Run: "
echo "*   makelinks"
echo "* to populate:"
echo "*   $GEXTAMP_INSTALLED/htdocs/afrepo/audio"
echo "*"
echo "* Finall, run: "
echo "*   apchectl start"
echo "*"
echo "* And in a web browser load up the URL:"
echo "*   http://localhost:8282/afrepo/"
echo "****"
echo ""
